Bug 449339 - Review Request: wine-doors - One-click Windows application installer / Wine frontend
Review Request: wine-doors - One-click Windows application installer / Wine f...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 05:52 EDT by Martin-Gomez Pablo
Modified: 2008-06-19 15:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 15:56:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pablomg+fedora: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Martin-Gomez Pablo 2008-06-02 05:52:32 EDT
Spec URL: http://home.scarlet.be/~tsi30161/wine-doors.spec
SRPM URL: http://home.scarlet.be/~tsi30161/wine-doors-0.1.2-1.fc9.src.rpm
Description: Wine doors is an application designed to assist users in obtaining, installing,
uninstalling and working around the caveats associated with wine applications.
Although wine doors is intended to be a replacement for winetools it is not
limited to release cycles for the applications available to install, instead a
web service will be provided, this web service or repository will serve XML
Pack Lists as an index of applications and Application Packs which provide
information about specific applications as well as various other resources.

As this software is useful and requested in the wish list, I've package it. There are still two problems: 
- rpmlint returns warnings cause of absolute links :
wine-doors.noarch: W: symlink-should-be-relative /usr/share/pixmaps/wine-doors.png /usr/share/wine-doors/pixmaps/wine-doors.png
wine-doors.noarch: W: symlink-should-be-relative /usr/bin/wine-doors /usr/share/wine-doors/src/winedoors.py
wine-doors.noarch: W: symlink-should-be-relative /usr/share/pixmaps/wine-doors.svg /usr/share/wine-doors/pixmaps/wine-doors.svg
- the setup.py doesn't find a dependence which is installed (the same code in a python shell and in the setup.py doesn't return the same output)
Comment 1 Michel Alexandre Salim 2008-06-04 00:08:10 EDT
Regarding the symlinks, can't you relink them after 'make install'? In all
cases, both the source and target will be under $RPM_BUILD_ROOT
Comment 2 Nicolas Chauvet (kwizart) 2008-06-04 13:28:11 EDT
This package seems to request info (xml form) form a website...
At first sight this doesn't seems safe to me.

This package may have a fedora‑review flag set to "-" 
I will do more indeep investigation.


Comment 3 Martin-Gomez Pablo 2008-06-06 14:41:37 EDT
Spec URL: http://home.scarlet.be/~tsi30161/wine-doors.spec
SRPM URL: http://home.scarlet.be/~tsi30161/wine-doors-0.1.2-2.fc9.src.rpm

I have fixed the relative symlinks issue and the package now use
"desktop-file-install" (thanks to the help of the different fedora's chan);
rpmlint doesn't return errors or warnings any longer.

For requested info from a website, I will contact upstream for more information. 
Comment 4 Martin-Gomez Pablo 2008-06-19 15:56:28 EDT
As Nicolas said, the package :

- have to download scripts to works, it's quite dangerous and a sign that the
method is not "mature" (well, it's a choice)
- conduce the user to keep Windows' software and don't search open sourced
alternatives which could be considered as against the Fedora's philosophy 

so, I decided to drop the review and send the package upstream for people who
really want it.

Note You need to log in before you can comment on or make changes to this bug.